Ticket #5070

Webサーバのアクセスログを見たいのですが
Open Date: 2004-10-10 23:46 Last Update: 2018-08-07 16:14

Reporter:
Owner:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Won't Fix

Details

tDiary-usersのプロジェクト管理者のn-tと申します。

このところ、プロジェクトで設置しているWikiに大量の荒ら
しが来ています。.htaccessで制限しようと考えているのです
が、そのためにアクセスログを見てどのような制限をするか
を決めたいと考えています。
Webサーバのアクセスログはどこで見ることができるのでしょ
うか。

Attachment File List

No attachments

Ticket History (3/11 Histories)

2004-10-11 00:38 Updated by: caesar
Comment
Logged In: YES
user_id=5250

申し訳ありませんが,ログを一般のユーザが閲覧する方法は提供し
ておりません。

現状を確認したいのですが,実際にどのように荒らされているか等
詳しく教えて頂けないでしょうか。また現在もまだ荒らされた部分
が残っているのでしたら,その部分も教えて頂ければと思います。
2004-10-11 11:52 Updated by: n-t
Comment
Logged In: YES
user_id=3698

大量のURLを何度も書き込まれるという荒らされ方をしています。
例えば、以下のページの下のほうを見ていただくと状況がお分かり
いただけると思います。
http://tdiary-users.sourceforge.jp/cgi-bin/wiki.cgi?mycmd=diff&mypage=title_tag%2Erb
http://tdiary-users.sourceforge.jp/cgi-bin/wiki.cgi?mycmd=diff&mypage=weather%2Erb
2004-10-11 13:24 Updated by: caesar
Comment
Logged In: YES
user_id=5250

確かに荒らされている箇所を確認しました。アクセスログを確認し
たところ,おそらく荒らしたと思われる痕跡も見つかりましたが,
現在対応策を検討中です。申し訳ありませんが,お急ぎかと思いま
すがしばらくお待ちください。
2004-11-18 18:39 Updated by: tach
  • Status Update from Open to Closed
  • Ticket Close date is changed to 2004-11-18 18:39
Comment
Logged In: YES
user_id=101

遅くなって申し訳ありませんでした.
当該ネットワークからの POST メソッドを禁止しました.

今後も同様の spam 行為がありましたら,ご報告して
いただけるとうれしいです.よろしくお願いします.
2005-02-27 22:28 Updated by: ikezoe
Comment
Logged In: YES
user_id=3545

すみません、すでに閉じてしまってるエントリに書きます

http://lists.sourceforge.jp/mailman/archives/tdiary-users-talk/2005-February/000213.html
MLでの上記スレッドで、tDiary-users で使ってる Wiki でも spam
対策をしようかどうかと検討中なのですが、対策法を練るために、
spam が bot によるものなのか検証する必要があるんじゃないかと
いう話になっています。

というわけで、今までの spam のうち bot によるものと思われる
ものがどの程度あるのか、わかる範囲で教えてください。

2005-02-28 10:21 Updated by: caesar
  • Owner Update from caesar to tach
  • Status Update from Closed to Open
2007-04-04 13:58 Updated by: tach
Comment
Logged In: YES
user_id=101

すみません,本件見逃していました.
とりあえず,bot かどうかを判断する基準を示していただければ,
対応可能かとは思います.
2007-08-22 00:57 Updated by: henoheno
Comment
Logged In: YES
user_id=564

こちらの件、
http://tdiary-users.sourceforge.jp/
を見た限りでは落ち着いているかのように見えたものの

http://tdiary-users.sourceforge.jp/cgi-bin/wiki.cgi?Ticket-103
を見るに「spamがひどいのでフォームを消してあります。」
という8/12の書き込みがあり、進展はしてない様子も
見受けられます。

今PukiWiki向けに作っているクライアントサイドのコード
(PHP)が、URIを追加するspamをそこそこ減少させていますが
こういうタイプの実装をRubyで書いてみたりしませんか?

今年の前半だけで、pukiwiki.sf.jp へのspamは60000post
位ブロックしています。

大まかな話はこのあたりにあります。
http://pukiwiki.sourceforge.jp/dev/?BugTrack2/200
http://pukiwiki.sourceforge.jp/dev/?%A5%ED%A1%BC%A5%C9%A5%DE%A5%C3%A5%D7


何らかの対策は採られているのかもしれませんが、
ふと思ったので書いてみました。
2008-11-17 17:37 Updated by: efialtes
Comment
JF-Project Wiki ですが同様の状況です。今日二回消しています。明日もやまないようなら制限お願いかなぁ、なんですが、このような制限関係をプロジェクト管理者から指定できるような機能を提供できないでしょうか。
2009-11-09 18:26 Updated by: sado
  • Owner Update from tach to sugi
2018-08-07 16:14 Updated by: ishikawa
  • Status Update from Open to Closed
  • Resolution Update from None to Won't Fix
  • Details Updated
Comment

こちらですが GDPR 施行に伴い ログに残る一部情報が個人情報扱いになってしまったため 公開できない方向になってしましました。

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login